Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.common
Class ObjectCacheHolder

    java.lang.Object
      com.fujitsu.iflow.common.ObjectCacheHolder

All Implemented Interfaces:
  java.lang.Comparable, java.io.Serializable

public class ObjectCacheHolder
extends java.lang.Object
implements java.io.Serializable, java.lang.Comparable

See Also:
  Serialized Form

Field Summary
`long` | `time`

Constructor Summary
`ObjectCacheHolder()`
`ObjectCacheHolder(ProcessInstanceStruct pis, ProcessDefinitionStruct pds)`

Method Summary
`int` | `compareTo(java.lang.Object obj)`
`ProcessDefinitionStruct` | `getProcDefStruct()`
`ProcessInstanceStruct` | `getProcInstStruct()`
`long` | `getTime()`
`void` | `setProcDefStruct(ProcessDefinitionStruct pds)`
`void` | `setProcInstStruct(ProcessInstanceStruct pis)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### time

    public long time

Constructor Detail

### ObjectCacheHolder

    public ObjectCacheHolder()

### ObjectCacheHolder

    public ObjectCacheHolder(ProcessInstanceStruct pis,
                             ProcessDefinitionStruct pds)

Method Detail

### getProcInstStruct

    public ProcessInstanceStruct getProcInstStruct()

### setProcInstStruct

    public void setProcInstStruct(ProcessInstanceStruct pis)

### getProcDefStruct

    public ProcessDefinitionStruct getProcDefStruct()

### setProcDefStruct

    public void setProcDefStruct(ProcessDefinitionStruct pds)

### getTime

    public long getTime()

### compareTo

    public int compareTo(java.lang.Object obj)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD